TestThread::Thread2 Class Reference

`#include <thread.test.h>`

Inheritance diagram for TestThread::Thread2:
[legend]
Collaboration diagram for TestThread::Thread2:
[legend]

## Public Member Functions

| Thread2 (int &res, Mutex &mutex)
void | quit ()
Public Member Functions inherited from wibble::sys::Thread
virtual | ~Thread ()
void | start ()
| Start the thread. More...
void | startDetached ()
| Start the thread in the detached state. More...
void * | join ()
| Join the thread. More...
void | detach ()
| Put the thread in the detached state. More...
void | cancel ()
| Send a cancellation request to the thread. More...
void | kill (int signal)
| Sent a signal to the thread. More...

## Protected Member Functions

void * | main ()
| Main thread function, executed in the new thread after creation. More...
Protected Member Functions inherited from wibble::sys::Thread
virtual const char * | threadTag ()
| Short tag describing this thread, used in error messages and identification. More...
void | testcancel ()
| Callback function used to start the thread. More...

## Protected Attributes

int & | res
Mutex & | mutex
bool | done

## Constructor & Destructor Documentation

## Thread2()

TestThread::Thread2::Thread2 | ( | int & | res,
|  | Mutex & | mutex
| ) |  |

inline

## Member Function Documentation

## main()

void* TestThread::Thread2::main | ( |  | ) |

inline protected virtual

Main thread function, executed in the new thread after creation.

When main() exits, the new thread ends and main() result will be the thread exit result

Implements wibble::sys::Thread.

## quit()

void TestThread::Thread2::quit | ( |  | ) |

inline

Referenced by TestThread::sharedMemory().

## Member Data Documentation

## done

bool TestThread::Thread2::done

protected

## mutex

Mutex& TestThread::Thread2::mutex

protected

## res

int& TestThread::Thread2::res

protected

The documentation for this class was generated from the following file:

- thread.test.h